#!/usr/bin/env python
#coding:utf-8

'''
from JiuJiang
树莓酱的操作实例
http:://www.shumeijiang.com
'''

from PCA9685 import PCA9685 ##引入驱动类
import time   ##引入time库

pwm = PCA9685()  ##实例化
pwm.setsq(50)    ##设置输出频率50HZ  
pwm.init()       ##初始化
pwm.setallangle(0)   ##驱动所有舵机归0

#执行动作 
serv = [0, 1, 2, 4 ,5]  #已连接的舵机
for i in serv:
	pwm.setangle(i, 90) #首先到90度
	time.sleep(0.4)     #停顿
	pwm.setangle(i, 0)  #执行到0度
	time.sleep(0.4)

#执行第二套动作
for i in serv:
	pwm.setangle(i, 45) #逐一到45度
	time.sleep(0.4)

for i in serv:
	pwm.setangle(i, 0)  #逐一归0
	time.sleep(0.4)

#最后动作
pwm.setallangle(90)  #所有舵机执行到90度
time.sleep(0.4)
pwm.setallangle(0)   #所有舵机归0
time.sleep(0.4)




'''
pwm.setangle(9,90)

time.sleep(0.5)
pwm.setangle(8, 50)
pwm.setangle(9, 130)

time.sleep(0.5)

pwm.setangle(8, 80)
pwm.setangle(9, 100)

time.sleep(0.5)

pwm.setangle(8, 40)
pwm.setangle(9, 140)

time.sleep(0.5)
pwm.setangle(8, 60)
pwm.setangle(9, 120)

time.sleep(0.5)
pwm.setangle(4, 110)
pwm.setangle(5, 70)

time.sleep(0.5)
pwm.setangle(4, 70)
pwm.setangle(5, 110)

time.sleep(0.5)
pwm.setangle(4, 90)
pwm.setangle(5, 90)


time.sleep(0.5)
pwm.setangle(8, 90)
pwm.setangle(9, 90)


'''
